<?php
namespace FileRun;
global $config;
if (!$config) {exit();}

if ($this->isLimitedPreview()) {
	$this->centeredThumb();
	return;
}
$this->data['contents'] = $this->readFile(['errorHandling' => 'html']);

$page = [
	'styles' => ['basic', 'plaintext'],
	'loadMsg' => false,
	'manualEnd' => true
];

header("X-Content-Type-Options: nosniff");
require $config['path']['includes'].'/ui/page/plugin.php';
echo '<div class="plain-text-contents">';
echo \S::safeForHtml(\S::convert2UTF8($this->data['contents']));
echo '</div></body></html>';